LatherUtil (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.autoinventory.LatherUtil class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.autoinventory
Class LatherUtil

    java.lang.Object
      org.hyperic.hq.autoinventory.LatherUtil

    public class LatherUtil

extends java.lang.Object

Utility methods to encode/decode LatherValue objects for methods that are not invoked via the lather servlet.

Constructor Summary
`LatherUtil()`

Method Summary
`static org.hyperic.lather.LatherValue` | `decode(java.lang.String value, java.lang.Class resClass)`
`static org.hyperic.lather.LatherValue` | `deserialize(byte[] value, java.lang.Class resClass)`
`static java.lang.String` | `encode(org.hyperic.lather.LatherValue value)`
`static byte[]` | `serialize(org.hyperic.lather.LatherValue value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LatherUtil

    public LatherUtil()

Method Detail

### serialize

    public static byte[] serialize(org.hyperic.lather.LatherValue value)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### encode

    public static java.lang.String encode(org.hyperic.lather.LatherValue value)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### deserialize

    public static org.hyperic.lather.LatherValue deserialize(byte[] value,
                                                             java.lang.Class resClass)
                                                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### decode

    public static org.hyperic.lather.LatherValue decode(java.lang.String value,
                                                        java.lang.Class resClass)
                                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.